package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Nidcxm;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
@Deprecated
public interface NidcxmMapper {

    int insert(Nidcxm record);

    int insertSelective(Nidcxm record);

    int updateByPrimaryKeySelective(Nidcxm record);

    int updateByPrimaryKey(Nidcxm record);

    int deleteByPrimaryKey(Nidcxm record);

    int deleteByIds(Collection<Object> collection);

    Nidcxm selectByPrimaryKey(Nidcxm record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Nidcxm> dyncRead(Map<String, Object> dyncMap);

    Nidcxm getByMaxInr(@Param(value = "inr") String inr);

    Nidcxm selectNidcxmByNidInr(Nidcxm record);

}